{
  "name": "@olly/mt-air",
  "version": "0.1.0",
  "description": "Simplicity, air, lightness. Every interface should feel as open and uncluttered as a deep breath.",
  "license": "MIT",
  "type": "module",
  "sideEffects": [
    "**/*.css"
  ],
  "main": "./dist/index.cjs",
  "module": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "exports": {
    ".": {
      "types": "./dist/index.d.ts",
      "import": "./dist/index.js",
      "require": "./dist/index.cjs"
    },
    "./styles.css": "./dist/styles.css",
    "./fonts.css": "./dist/fonts.css"
  },
  "files": [
    "dist"
  ],
  "publishConfig": {
    "registry": "https://git.ollyhearn.ru/api/packages/olly/npm/"
  },
  "scripts": {
    "build": "tsup && npm run build:css",
    "build:css": "esbuild src/styles/index.css --bundle --outfile=dist/styles.css && esbuild src/styles/fonts.css --bundle --loader:.ttf=dataurl --outfile=dist/fonts.css",
    "dev": "rsbuild dev --open",
    "preview": "rsbuild preview",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build",
    "lint": "rslint",
    "format": "prettier --write .",
    "prepare": "npm run build"
  },
  "peerDependencies": {
    "react": ">=18",
    "react-dom": ">=18"
  },
  "dependencies": {
    "@phosphor-icons/react": "^2.1.10",
    "radix-ui": "^1.4.3"
  },
  "devDependencies": {
    "@rsbuild/core": "^2.0.11",
    "@rsbuild/plugin-babel": "^1.2.1",
    "@rsbuild/plugin-react": "^2.0.1",
    "@rslint/core": "^0.5.3",
    "@storybook/addon-docs": "^10.4.4",
    "@types/react": "^19.2.17",
    "@types/react-dom": "^19.2.3",
    "babel-plugin-react-compiler": "^1.0.0",
    "esbuild": "^0.25.0",
    "prettier": "^3.8.3",
    "react": "^19.2.7",
    "react-dom": "^19.2.7",
    "storybook": "^10.4.4",
    "storybook-react-rsbuild": "^3.3.4",
    "tsup": "^8.5.0",
    "typescript": "^6.0.3"
  }
}
